Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017441
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2011-05-31 17:452012-04-02 06:11
ReportershuehnerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version3.0MP10
StatusclosedFix in branchpiFixed in SCM revisionbc316c32fa2b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017441: 'No data in grid. Create One' still shown when tab is writable in general but current user/role has only readonly access

DescriptionIssue 17254 fixed the case in which the tab is marked as SR or RO in AD. But does not yet take into account the access of current role to the tab as that info is processed later then needed (only in setWindowSettings) which is too late for the following two uses:
- context menu shown in empty grid
- 'Create one' versus just no data in grid on empty grid
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0017440 closedguilleaer Recent list shows '*' to create new for Tabs which have UIpattern 'read only' or 'single record' 
related to defect 00168413.0MP0 closedshuehner It is possible to click New in Audit Trail 
related to design defect 0020057 acknowledgedplatform When the menu is being generated, the code doesn't check the defined windows access rights for the role of the current user. 
related to defect 00287613.0PR15Q2 closedinigosanchez Navigate to read only logic tab does not work an empty tab is displayed 

-  Notes
(0037841)
shuehner (administrator)
2011-05-31 18:14

Note one idea is to perhaps add writable flag to OB.Accessibleentities (from application-dynamic.js) which is already loaded. That way the info could be reused also to fix 17440.
(0046573)
hgbot (developer)
2012-03-20 18:23

Repository: erp/devel/pi
Changeset: bc316c32fa2b4f182b4c296a21ac8269476e31c1
Author: Guillermo Álvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Mar 20 18:22:28 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bc316c32fa2b4f182b4c296a21ac8269476e31c1 [^]

Fixed issue 17441: 'Create one' is not shown when the user role has readonly access

When user try to use one window which has been defined as readonly using the role windows access rights, the 'create one' message is not shown. Also, the right click of the mouse has been disabled to avoid the creation of new lines.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0046576)
guilleaer (developer)
2012-03-21 09:05

Test plan:
1. Logged as F&B International Group Admin - F&B International Group
2. Go to role window and set one window as Non editable for a specific role. E.g (Return to vendor)
3. Using this role, go to the window
4. If data doesn't exists, yo should see the message without the text "create one" (probably you will need to remove the filter before the message is shown) and the right click of the mouse should be disabled.
5. Using another window with data and defined as Non Editable (E.g. Role) you should be able to use the right click in cells without the 'new line' options


This fix is not risky
(0046586)
hgbot (developer)
2012-03-21 11:58

Repository: erp/devel/pi
Changeset: 60a3b45a21d4891259504c2e2d3be331d0910893
Author: Guillermo Álvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Mar 21 11:57:13 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/60a3b45a21d4891259504c2e2d3be331d0910893 [^]

Related to issue 17441: Preventing a wrong disabling of context menu in editable grids

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0046697)
alostale (developer)
2012-03-23 14:57

core reviewed and verified on pi@5acb2f2f3505
(0047177)
hudsonbot (developer)
2012-04-02 06:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7814864461ac [^]

Maturity status: Test
(0047184)
hudsonbot (developer)
2012-04-02 06:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7814864461ac [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-05-31 17:45 shuehner New Issue
2011-05-31 17:45 shuehner Assigned To => alostale
2011-05-31 17:45 shuehner Modules => Core
2011-05-31 17:51 shuehner Relationship added related to 0016841
2011-05-31 18:14 shuehner Note Added: 0037841
2011-06-02 07:09 thirumalaik Issue Monitored: thirumalaik
2011-08-05 10:09 alostale Relationship added related to 0017440
2011-08-05 10:10 alostale Status new => scheduled
2011-08-05 10:10 alostale Assigned To alostale => thirumalaik
2011-08-05 10:10 alostale fix_in_branch => pi
2012-03-14 16:41 alostale Assigned To thirumalaik => guilleaer
2012-03-20 11:26 guilleaer Relationship added related to 0020057
2012-03-20 18:23 hgbot Checkin
2012-03-20 18:23 hgbot Note Added: 0046573
2012-03-20 18:23 hgbot Status scheduled => resolved
2012-03-20 18:23 hgbot Resolution open => fixed
2012-03-20 18:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bc316c32fa2b4f182b4c296a21ac8269476e31c1 [^]
2012-03-21 09:05 guilleaer Note Added: 0046576
2012-03-21 11:58 hgbot Checkin
2012-03-21 11:58 hgbot Note Added: 0046586
2012-03-23 14:57 alostale Note Added: 0046697
2012-03-23 14:57 alostale Status resolved => closed
2012-03-23 14:57 alostale Fixed in Version => 3.0MP10
2012-04-02 06:11 hudsonbot Checkin
2012-04-02 06:11 hudsonbot Note Added: 0047177
2012-04-02 06:11 hudsonbot Checkin
2012-04-02 06:11 hudsonbot Note Added: 0047184
2015-02-19 10:07 inigosanchez Relationship added related to 0028761


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker